Bug 15436 - MARC21: Use semicolon between series name and volume information
Summary: MARC21: Use semicolon between series name and volume information
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Tomás Cohen Arazi
URL:
Keywords:
Depends on: 5927
Blocks: 26492
  Show dependency treegraph
 
Reported: 2015-12-29 10:04 UTC by Katrin Fischer
Modified: 2020-11-10 22:20 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 15436 Use semicolon between series name and volumne information (1.30 KB, patch)
2016-01-18 22:39 UTC, Gus Ellerm
Details | Diff | Splinter Review
Bug 15436 Use semicolon between series name and volumne information (1.58 KB, patch)
2016-01-19 01:06 UTC, Gus Ellerm
Details | Diff | Splinter Review
opac broken (148.23 KB, image/png)
2016-03-04 16:03 UTC, Nicole C. Engard
Details
no difference in staff (55.93 KB, image/png)
2016-03-04 16:03 UTC, Nicole C. Engard
Details
Bug 15436: Use semicolon between series name and volume (11.05 KB, patch)
2020-09-17 22:36 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 15436: (follow-up) Fix separators (1022 bytes, patch)
2020-09-20 21:51 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 15436: (follow-up) Fix separator for a single 440 in staff (1.02 KB, patch)
2020-09-20 21:55 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 15436: Use semicolon between series name and volume (11.10 KB, patch)
2020-09-21 18:47 UTC, David Nind
Details | Diff | Splinter Review
Bug 15436: (follow-up) Fix separator for a single 440 in staff (1.07 KB, patch)
2020-09-21 18:47 UTC, David Nind
Details | Diff | Splinter Review
Bug 15436: Use semicolon between series name and volume (11.14 KB, patch)
2020-10-07 19:31 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 15436: (follow-up) Fix separator for a single 440 in staff (1.13 KB, patch)
2020-10-07 19:32 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-12-29 10:04:25 UTC
Currently we use a : between the series name and the volume information, instead of the standard ; that is usually entered by the cataloger. The ; is used to separate multiple series entries. 

I propose to switch back to ; and use | for separating multiple series as we do for other entries.
Comment 1 Gus Ellerm 2016-01-18 22:39:54 UTC Comment hidden (obsolete)
Comment 2 Gus Ellerm 2016-01-19 01:06:11 UTC
Created attachment 46837 [details] [review]
Bug 15436 Use semicolon between series name and volumne information

To Test:
Add 490 and 830 for series and volume
View page
Should be ; (Semicolon) between series name and volume information, this replaced the : that was used.
Comment 3 Owen Leonard 2016-01-20 14:31:55 UTC
This patch breaks the detail view for me (no bibliographic data appears). Errors in the log:

 Error while parsing stylesheet: compilation error: file /koha-tmpl/opac-tmpl/bootstrap/en/xslt/MARC21slim2OPACDetail.xsl element text

xsltParseTemplateContent: xslt:text content problem
Comment 4 Gus Ellerm 2016-01-20 21:50:47 UTC
This doesn't break for me, could someone else test and comment.
Comment 5 Aleisha Amohia 2016-02-03 23:08:11 UTC
Setting this back to Needs Signoff so someone else can test because it works fine for me.
Comment 6 Nicole C. Engard 2016-03-04 16:03:00 UTC
Created attachment 48695 [details]
opac broken

After applying this patch the OPAC display is completely broken.
Comment 7 Nicole C. Engard 2016-03-04 16:03:22 UTC
Created attachment 48696 [details]
no difference in staff

And there is no difference in the staff.
Comment 8 Aleisha Amohia 2019-01-15 20:52:04 UTC
This bug has been confusing us for a little while. Can you please clarify how to reproduce the bug, what fields should be filled?
Comment 9 Katrin Fischer 2019-01-15 21:20:09 UTC
Hi Aleisha,

I found an example in the kohadevboxsample data: 

Title:  Scéla mucce Meic Dathó,

490 	0 		
_aMediaeval and modern Irish series.
_vvol. VI 

Displays as: Series: Mediaeval and modern Irish series. vol. VI.

That should be: Series: Mediaeval and modern Irish series ; vol. VI.

See: http://www.loc.gov/marc/bibliographic/bd490.html (you could also test catalog the examples given there)

Antoher problem appears with the older 440:

Title: Scarlet and black

440 		0 	
_aPenguin readers.
_pLevel 6
_9582 

Displays as: Series: Penguin readersLevel 6.
Comment 10 David Roberts 2020-04-16 22:33:24 UTC
I'm not 100% sure that this is still a problem as reported - I don't see any punctuation between subfield a and v.
Comment 11 Katrin Fischer 2020-09-17 22:36:14 UTC
Created attachment 110304 [details] [review]
Bug 15436: Use semicolon between series name and volume

MARC21 dictates that we should be using a ; before $v in 440, 490,
810, 811 and 830.

This patch also introduces some additional changes to unify formatting
between the various options for cataloguing series:

- The separator between multiple series is switched form ; to the
  now commonly used | with a class for easy change of formatting.
- There was some missing logic that prevented the separator to show
  up correctly between traced and untraced series.
- For some series $v was included in the link for others not. Now
  $v always appears as text and only $a is linked, as this is what
  we actually search for.

To test this:
- You should be cataloguing multiple series in different ways, using
  - deprecated 440 (still present in old data)
  - 490, Ind. 1 = empty or 0 = not traced
  - 490, Ind. 1 = 1 = traced in combination with an 8xx field

Example (you should try a different combination!)
440 _ _ $aFirst series
490 _ _ $aSecond series ;$v1
490 1 _ $aThird series ;$v1 (this won't show, it will use 830 for display)
830 _ _ $aThird series ;$v1

Without patch:
Series: First Series; Second series ; 1Third series: 1

With patch:
Series: First series | Second series ; 1 | Third series ; 1
Comment 12 Katrin Fischer 2020-09-17 22:37:28 UTC
David, hope you don't mind me stealing this one. The problem occurred only for traced series where the 8xx fields are used for display.
Comment 13 David Nind 2020-09-19 08:13:54 UTC
Hi Katrin.

I had a go at this, but don't feel confident enough to sign it off given my limited understanding of MARC21 nuances!

Things I noticed:

1. For Scéla mucce Meic Dathó, (mentioned in comment 9): after the patch it displays as Mediaeval and modern Irish series ; vol. VI | <== there is a | and no . after the VI

2. For Scarlet and black (also mentioned in comment 9): I noticed no change after the patch was applied

3. For the example in the test plan: that displayed as expected (First series | Second series ; 1 | Third series ; 1)

David Nind
Comment 14 Katrin Fischer 2020-09-20 21:50:47 UTC
Hi David,

first of all, thx for testing!

> 1. For Scéla mucce Meic Dathó, (mentioned in comment 9): after the patch it
> displays as Mediaeval and modern Irish series ; vol. VI | <== there is a |
> and no . after the VI

Good catch! I fixed this in staff, in OPAC it was already ok. 

> 2. For Scarlet and black (also mentioned in comment 9): I noticed no change
> after the patch was applied

This is kind of unrelated to the patch here - if you look at the record on master the problem appears there as well (missing space between 440a and p) The problem is that the part template used for displaying n and p is not adding any space or punctuation. I'd like to move that to a separate bug. Ok?

> 3. For the example in the test plan: that displayed as expected (First
> series | Second series ; 1 | Third series ; 1)
> 
> David Nind
Comment 15 Katrin Fischer 2020-09-20 21:51:23 UTC
Created attachment 110438 [details] [review]
Bug 15436: (follow-up) Fix separators
Comment 16 Katrin Fischer 2020-09-20 21:55:50 UTC
Created attachment 110439 [details] [review]
Bug 15436: (follow-up) Fix separator for a single 440 in staff
Comment 17 David Nind 2020-09-21 18:47:14 UTC
Created attachment 110480 [details] [review]
Bug 15436: Use semicolon between series name and volume

MARC21 dictates that we should be using a ; before $v in 440, 490,
810, 811 and 830.

This patch also introduces some additional changes to unify formatting
between the various options for cataloguing series:

- The separator between multiple series is switched form ; to the
  now commonly used | with a class for easy change of formatting.
- There was some missing logic that prevented the separator to show
  up correctly between traced and untraced series.
- For some series $v was included in the link for others not. Now
  $v always appears as text and only $a is linked, as this is what
  we actually search for.

To test this:
- You should be cataloguing multiple series in different ways, using
  - deprecated 440 (still present in old data)
  - 490, Ind. 1 = empty or 0 = not traced
  - 490, Ind. 1 = 1 = traced in combination with an 8xx field

Example (you should try a different combination!)
440 _ _ $aFirst series
490 _ _ $aSecond series ;$v1
490 1 _ $aThird series ;$v1 (this won't show, it will use 830 for display)
830 _ _ $aThird series ;$v1

Without patch:
Series: First Series; Second series ; 1Third series: 1

With patch:
Series: First series | Second series ; 1 | Third series ; 1

Signed-off-by: David Nind <david@davidnind.com>
Comment 18 David Nind 2020-09-21 18:47:18 UTC
Created attachment 110481 [details] [review]
Bug 15436: (follow-up) Fix separator for a single 440 in staff

Signed-off-by: David Nind <david@davidnind.com>
Comment 19 Tomás Cohen Arazi 2020-10-07 19:31:54 UTC
Created attachment 111356 [details] [review]
Bug 15436: Use semicolon between series name and volume

MARC21 dictates that we should be using a ; before $v in 440, 490,
810, 811 and 830.

This patch also introduces some additional changes to unify formatting
between the various options for cataloguing series:

- The separator between multiple series is switched form ; to the
  now commonly used | with a class for easy change of formatting.
- There was some missing logic that prevented the separator to show
  up correctly between traced and untraced series.
- For some series $v was included in the link for others not. Now
  $v always appears as text and only $a is linked, as this is what
  we actually search for.

To test this:
- You should be cataloguing multiple series in different ways, using
  - deprecated 440 (still present in old data)
  - 490, Ind. 1 = empty or 0 = not traced
  - 490, Ind. 1 = 1 = traced in combination with an 8xx field

Example (you should try a different combination!)
440 _ _ $aFirst series
490 _ _ $aSecond series ;$v1
490 1 _ $aThird series ;$v1 (this won't show, it will use 830 for display)
830 _ _ $aThird series ;$v1

Without patch:
Series: First Series; Second series ; 1Third series: 1

With patch:
Series: First series | Second series ; 1 | Third series ; 1

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 20 Tomás Cohen Arazi 2020-10-07 19:32:08 UTC
Created attachment 111357 [details] [review]
Bug 15436: (follow-up) Fix separator for a single 440 in staff

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 21 Jonathan Druart 2020-10-08 14:20:12 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 22 Lucas Gass 2020-11-10 22:20:42 UTC
enhancement will not be backported to 20.05.x